/* Materiel                                     */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2014                                    */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Materiel.h"
#include "Couleur.h"

Materiel::Materiel(void) {
  kd = new Couleur(0.8,0.8,0.8);
  kr = new Couleur(0.2,0.2,0.2);
  kt = new Couleur(0.0,0.0,0.0);
  indice = 1.0;
}

Materiel::Materiel(Couleur *kd,Couleur *kr,Couleur *kt,double indice) {
  this->kd = new Couleur(kd);
  this->kr = new Couleur(kr);
  this->kt = new Couleur(kt);
  this->indice = indice;
}

Materiel::Materiel(Materiel *m) {
  kd = new Couleur(m->kd);
  kr = new Couleur(m->kr);
  kt = new Couleur(m->kt);
  indice = m->indice;
}

Materiel::~Materiel(void) {
  delete(kd);
  delete(kr);
  delete(kt);
}
